GEOS 3.3.4

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | List of all members
geos::index::bintree::Root Class Reference

The root node of a single Bintree. More...

`#include <Root.h>`

Inheritance diagram for geos::index::bintree::Root:

## Public Member Functions
void | insert (Interval *itemInterval, void *item)
Public Member Functions inherited from geos::index::bintree::NodeBase
virtual std::vector< void * > * | getItems ()
virtual void | add (void *item)
virtual std::vector< void * > * | addAllItems (std::vector< void * > *newItems)
virtual std::vector< void * > * | addAllItemsFromOverlapping (Interval *interval, std::vector< void * > *resultItems)
virtual int | depth ()
virtual int | size ()
virtual int | nodeSize ()

## Protected Member Functions
bool | isSearchMatch (Interval *)

## Additional Inherited Members
Static Public Member Functions inherited from geos::index::bintree::NodeBase
static int | getSubnodeIndex (Interval *interval, double centre)
Protected Attributes inherited from geos::index::bintree::NodeBase
std::vector< void * > * | items
Node * | subnode [2]

## Detailed Description

The root node of a single Bintree.

It is centred at the origin, and does not have a defined extent.

## Member Function Documentation

void geos::index::bintree::Root::insert | ( | Interval * | itemInterval,
|  | void * | item
| ) |  |

Parameters

  itemInterval | Ownership left to caller, references kept in this class.
  item | Ownership left to caller, references kept in this class.

The documentation for this class was generated from the following file:

- bintree/Root.h